.btn {
  display: inline-block;
  padding: 10px 20px;
  font-size: 12px;
  border-radius: 6px;
  text-align: center;

  &.--blue {
    background-color: $blueblack;
    border: 1px solid $blueblack;
    color: $white;
    a {
      color: white;
    }
  }

  &.--violet {
    background-color: $violet;
    border: 1px solid $violet;
    color: $white;
  }

  &.--full {
    width: 100%;
  }

  &.--large {
    min-width: 320px;
    font-size: 16px;
    padding: 10px 40px;
    font-weight: bold;

    @media only screen and (max-width: 490px) {
      min-width: auto;
      width: 100%;
    }
  }
  
  &.--ghost-blue {
    border: 1px solid $darkblue;
    color: $darkblue;
    background-color: transparent;
  }

  &.--white {
    border: 1px solid $white;
    color: #513388;
    background-color: $white;
  }

  &.--link {
    background: transparent;
    border: 0;
    color: $blueblack;
    text-decoration: underline;
  }

  &--hubungi{
    background-color: $violet;
    color: white;
    outline: 0;
    padding: 8px 40px;
    border: 1px solid
  }
}